Name:		libumberlog
Version:	0.3.0
Release:	2%{?dist}
Summary:	CEE-enhanced syslog API library

License:	BSD
URL:		https://github.com/algernon/libumberlog
Source0:	https://github.com/downloads/algernon/libumberlog/%{name}-%{version}.tar.xz

BuildRequires:	json-c
BuildRequires:	check
BuildRequires:	python-docutils

%description
The libumberlog library serves two purposes: it's either a drop-in
replacement for the syslog() system call, in which case it turns
the default syslog messages into CEE-enhanced messages, with a CEE-JSON
payload, and some automatically discovered fields. Or, it can be used
as a stand-alone library, that provides a syslog()-like API, with
the ability to add arbitrary key-value pairs to the resulting JSON payload.

%package devel
Summary:	Development files for libumberlog
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Libumberlog-devel package contains development libraries and header files
for libumberlog.

%prep
%setup -q

%build
%configure --disable-discovery
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}%{_libdir}/*.{a,la}
rm -f %{buildroot}%{_libdir}/libumberlog/*.{a,la}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE NEWS README.rst
%{_libdir}/*.so.*
%{_libdir}/libumberlog/*.so

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_mandir}/man3/umberlog.3.*

%changelog
* Wed Aug 29 2012 Milan Bartos <mbartos@redhat.com> - 0.3.0-2
- Move preload version of library to nondevel package

* Mon Aug 27 2012 Milan Bartos <mbartos@redhat.com> - 0.3.0-1
- Update to version 0.3.0

* Mon Aug 13 2012 Milan Bartos <mbartos@redhat.com> - 0.2.1-3
- Remove /sbin/ldconfig from Requires

* Tue Aug  7 2012 Milan Bartos <mbartos@redhat.com> - 0.2.1-2
- Remove clean tag
- Add Dist tag to release

* Wed Aug  1 2012 Milan Bartos <mbartos@redhat.com> - 0.2.1-1
- initial port

